
package org.negozio;

import javax.xml.bind.JAXBElement;
import javax.xml.bind.annotation.XmlElementDecl;
import javax.xml.bind.annotation.XmlRegistry;
import javax.xml.namespace.QName;


/**
 * This object contains factory methods for each 
 * Java content interface and Java element interface 
 * generated in the org.negozio package. 
 * <p>An ObjectFactory allows you to programatically 
 * construct new instances of the Java representation 
 * for XML content. The Java representation of XML 
 * content can consist of schema derived interfaces 
 * and classes representing the binding of schema 
 * type definitions, element declarations and model 
 * groups.  Factory methods for each of these are 
 * provided in this class.
 * 
 */
@XmlRegistry
public class ObjectFactory {

    private final static QName _Utente_QNAME = new QName("http://www.negozio.org", "utente");
    private final static QName _Ordine_QNAME = new QName("http://www.negozio.org", "ordine");
    private final static QName _ListaOrdini_QNAME = new QName("http://www.negozio.org", "listaOrdini");

    /**
     * Create a new ObjectFactory that can be used to create new instances of schema derived classes for package: org.negozio
     * 
     */
    public ObjectFactory() {
    }

    /**
     * Create an instance of {@link Ordine }
     * 
     */
    public Ordine createOrdine() {
        return new Ordine();
    }

    /**
     * Create an instance of {@link ListaOrdini }
     * 
     */
    public ListaOrdini createListaOrdini() {
        return new ListaOrdini();
    }

    /**
     * Create an instance of {@link Utente }
     * 
     */
    public Utente createUtente() {
        return new Utente();
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link Utente }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.negozio.org", name = "utente")
    public JAXBElement<Utente> createUtente(Utente value) {
        return new JAXBElement<Utente>(_Utente_QNAME, Utente.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link Ordine }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.negozio.org", name = "ordine")
    public JAXBElement<Ordine> createOrdine(Ordine value) {
        return new JAXBElement<Ordine>(_Ordine_QNAME, Ordine.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link ListaOrdini }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://www.negozio.org", name = "listaOrdini")
    public JAXBElement<ListaOrdini> createListaOrdini(ListaOrdini value) {
        return new JAXBElement<ListaOrdini>(_ListaOrdini_QNAME, ListaOrdini.class, null, value);
    }

}
